Package io.milvus.connection

## Class ClusterFactory

- java.lang.Object
- - io.milvus.connection.ClusterFactory

-     public class ClusterFactory
      extends java.lang.Object

  Factory with managing multi cluster.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ClusterFactory.Builder` | Builder for `ClusterFactory`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `availableServerChange​(java.util.List<ServerSetting> serverSettings)` |
    `void` | `close()` |
    `ServerSetting` | `electMaster()` |
    `java.util.List<ServerSetting>` | `getAvailableServerSettings()` |
    `ServerSetting` | `getDefaultServer()` |
    `ServerSetting` | `getMaster()` |
    `java.util.List<ServerSetting>` | `getServerSettings()` |
    `void` | `masterChange​(ServerSetting serverSetting)` |
    `boolean` | `masterIsRunning()` |
    `static ClusterFactory.Builder` | `newBuilder()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getDefaultServer

          public ServerSetting getDefaultServer()

    - #### masterIsRunning

          public boolean masterIsRunning()

    - #### masterChange

          public void masterChange​(ServerSetting serverSetting)

    - #### availableServerChange

          public void availableServerChange​(java.util.List<ServerSetting> serverSettings)

    - #### electMaster

          public ServerSetting electMaster()

    - #### close

          public void close()

    - #### getServerSettings

          public java.util.List<ServerSetting> getServerSettings()

    - #### getMaster

          public ServerSetting getMaster()

    - #### getAvailableServerSettings

          public java.util.List<ServerSetting> getAvailableServerSettings()

    - #### newBuilder

          public static ClusterFactory.Builder newBuilder()